Skip to main content

Single Listing

This endpoint returns the data for a single currently available open listing. Additional parameters can be passed as query string parameters to customize the response.

GET
/api/v2/listings/:listing_id

Request

Example request payloadGET
curl -X GET \
    --user "YOUR_API_KEY:" \
    "https://api.funnelleasing.com/api/v2/listings/:listing_id"

Response

Example responseJSON200 · application/json
{
  "max_lease_term": 24,
  "exclusive": null,
  "min_lease_term": 12,
  "bathrooms": 2,
  "square_footage": null,
  "updated_at": "2015-07-18T11:12:32.786308",
  "property_type": "Residential",
  "id": 350889,
  "featured": false,
  "occupancy_status": null,
  "renter_fee": null,
  "layout": "2 Bedroom",
  "floor": null,
  "date_available": "2015-09-01",
  "last_listed_at": "2015-07-18T11:12:32.786508",
  "source": "Blast",
  "amenities": [
    "Hardwood Floors",
    "Stainless Steel Appliances",
    "Windowed Kitchen",
    "Pass-Through Kitchen",
    "Walk-In Closet",
    "Marble",
    "Desirable Layout"
  ],
  "pets": "Pets Allowed",
  "access_info": "To schedule a viewing, contact Example Broker. example@fakebrokerage.com 555-555-5555",
  "status": "Available",
  "description": "",
  "fee_structure": "CYOF",
  "price": "7200.00",
  "bedrooms": 2,
  "incentives": null,
  "key_in_office": null,
  "listing_company": {
    "phone_number": "(555) 555-5555",
    "email": "",
    "website": "",
    "name": "Example Management Company",
    "address": "123 Some St, New York, NY 10010",
    "logo": null,
    "company_id": 1289,
    "fax_number": ""
  },
  "photos": [
    {
      "original": "https://assets-img.nestiostatic.com/unit_photos/originals/1e33cf2e65d517301adce1fda8f30e76.jpg?s=a51703d90404d302f030b5b79c1b324a",
      "large": "https://assets-img.nestiostatic.com/unit_photos/originals/1e33cf2e65d517301adce1fda8f30e76.jpg?fit=crop&h=540&w=720&s=2334719c403d5c8f2a07e81369e4cca9",
      "thumbnail": "https://assets-img.nestiostatic.com/unit_photos/originals/1e33cf2e65d517301adce1fda8f30e76.jpg?fit=crop&h=70&w=100&s=a3d5d4b3fe655f23f04e8ce9e493e1c9",
      "sort_order": 0,
      "small": "https://assets-img.nestiostatic.com/unit_photos/originals/1e33cf2e65d517301adce1fda8f30e76.jpg?fit=crop&h=180&w=240&s=8ca556ba82008a5c3cbcb53e1ab00ffb",
      "xlarge": "https://assets-img.nestiostatic.com/unit_photos/originals/1e33cf2e65d517301adce1fda8f30e76.jpg?fit=max&h=1000&w=1000&s=20297f84cb26b5208a6ab5f043688a1a",
      "media_type": "Photo",
      "id": 2677180
    }
  ],
  "listing_type": "For Rent",
  "building": {
    "cross_streets": ["Columbus Ave / W 59th St"],
    "id": 103019,
    "city": "Manhattan",
    "name": "",
    "building_ownership": null,
    "postal_code": "10019",
    "state": "NY",
    "amenities": [],
    "location": {
      "latitude": 40.7691689,
      "longitude": -73.9850159
    },
    "building_description": "",
    "building_age": "New Development",
    "building_type": "Loft",
    "year_built": 2011,
    "total_units": 50,
    "floors": 10.0,
    "tax_lot": "11",
    "tax_block": "12",
    "street_address": "1 Columbus Pl"
  },
  "first_showing_date": null,
  "unit_number": "N-46D",
  "open_houses": [],
  "mls_policies": {
    "vow_opt_out": false,
    "idx_opt_out": false,
    "allow_comments": false,
    "allow_automated_valuations": false,
    "cobroke_agreement": "REBNY Universal Co-broke"
  },
  "contacts": [],
  "street_address": "1 Columbus Pl"
}

Errors

Listing Not Found (404)

Returned when listing_id doesn't match a listing your key can access — including a private listing accessed without include_private, or with a public key. The body is empty (zero-length), not a JSON error object — don't attempt to parse it as JSON.

Error responseJSON404 · application/json
(no response body)